List of Politicians with Trade Data
GET
https://api.unusualwhales.com/api/congress/politicians
Request
Security:
Bearer Auth
Authorization: Bearer <token>
Query Parameters
last_traded_within_months
integer
optional
>= 1
<= 240
Responses
200 422 500Response Body 200 OK
amounts
Insider Trades Amount Range
The reported amount range of the transaction.
Example:
$1,000 - $15,000
filed_at_date
Insider Trades Filing Date
The filing date as ISO date.
Example:
2023-12-13
is_active
Is Active
Is the politician an active member.
Example:
G000585
issuer
Insider Trades Issuer
The person who executed the transaction.
Example:
spouse
member_type
Insider Trades Member Type
The type of person who executed the transaction.
Example:
true
name
Insider Trades Reporter's Standard Name
The Standardized name of the reporter (if found).
Example:
Stephen Cohen
notes
Insider Trades Filing Notes
Notes of the filing.
Example:
Subholding Of: Stephens Advantage Account Description: FT UNIT 10479 PFD mutual-fund 32500
politician_id
Politician ID
The Politician's ID that you'd like to filter by.
Example:
18f9fc95-4661-444e-99f5-99d3778e0c31
reporter
Insider Trades Reporter
The person who reported the transaction (as written in filling).
Example:
Stephen Cohen
ticker
Stock Ticker
The stock ticker.
Example:
AAPL
transaction_date
Insider Trades Transaction Date
The transaction date as ISO date.
Example:
2023-12-06
txn_type
Insider Trades Transaction Type
The transaction type.
Example:
Sell
Try It
GET
Query Parameters
Request Sample
curl -X GET "https://api.unusualwhales.com/api/congress/politicians" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Accept: application/json"
Response Example
200
{
"data": [
{
"amounts": "$15,001 - $50,000",
"filed_at_date": "2023-02-13",
"is_active": true,
"issuer": "not-disclosed",
"member_type": "house",
"name": "Stephen Cohen",
"notes": "Subholding Of: Stephens Advantage Account Description: FT UNIT 10479 PFD mutual-fund 32500",
"politician_id": "18f9fc95-4661-444e-99f5-99d3778e0c31",
"reporter": "Stephen C.",
"ticker": "FHWVOX",
"transaction_date": "2023-02-06",
"txn_type": "Buy"
},
{
"amounts": "$1,000 - $15,000",
"filed_at_date": "2023-02-13",
"is_active": false,
"issuer": "joint",
"member_type": "house",
"name": "Deborah Ross",
"notes": "Subholding Of: Fidelity Brokerage Account stock 8000",
"politician_id": "5b1e3f4a-2d3c-4e5f-8a6b-7c8d9e0f1a2b",
"reporter": "Debby Ross",
"ticker": "MSFT",
"transaction_date": "2023-02-01",
"txn_type": "Sell"
}
]
}